Page MenuHomePhabricator

Proposal: Documentation improvements to the ~20 top 70 most viewed MediaWiki Action API pages on-wiki, Outreachy 18.
Closed, DeclinedPublic

Description

Profile Information

Name: Nikita Rana
GitHub: NikitaRana07
E-mail: nikitaideatrain@gmail.com
Zulip nick: Nikita
Location : India
Time Zone: UCT+5:30 (Indian Standard Time)
Working hours: 11:30 AM - 2 AM (UCT+5:30)

Synopsis

Summary
From MediaWiki Outreachy'18 page.

The MediaWiki action API is a web service that allows access to some wiki-features like authentication, page operations, and search. It can provide meta information about the wiki and the logged-in user. Several Wikimedia projects make use of this API. As of now, there are ~128 pages on the Action API on MediaWiki.org.

One of the issues with the docs is inconsistency. For example, some pages have the automated API docs embedded; some don’t, some pages have code samples, some don’t, etc.
Goal

The goal of this project in Round 18 would be to improve documentation of ~20 top 70 most viewed MediaWiki Action API pages on-wiki using the documentation template. If there is more time, then the next part of the project could be developing one or two demo apps around the use of Action APIs.

Mentors

Srishti Sethi (@srishakatux) and Sarah Rodlund (@srodlund)

Timeline

PeriodTask
Today to 6 MayContributing in more open tasks in the Wikimedia foundation. Brushing up skills for using Flask with python.
6 May to 20 July2-3 MediaWiki articles & 2-3 pull requests for code samples per week
End of JulyMid-point feedback
21 July to 26 July* If any discrepancies are found in the articles or code files later: Article and Code fix. * Else Work on Demo app start: App Design using Object Oriented software engineering techniques. * Creating wireframes and usecase
27 July to 10 August* App Development. * Testing
11 August to Final Feedback* Bug fixes. * Writing Tutorial.
September 20Final Feedback

Deliverables

  • In first 10 weeks, work per week :
    • 2-3 MediaWiki articles.
    • 2-3 pull requests for code samples.
  • In last 3 weeks, work on demo apps.
  • In all 13 weeks, one blog post per week describing my experience with Wikimedia Foundation.
  • Documenting progress on MediaWiki user page.

Participation

  • Online on Zulip during my working hours. (11:30 AM to 2 AM, UCT+5:30 )
  • Can be reached via E-mail during non-working hours.
  • Comments on tasks and subtasks on Phabricator for feedback.
  • Comments on GitHub pull requests for any feedback and code related communication.
  • Communication via MediaWiki user talk page.
  • Update progress on T198916.

About Me

I am currently a sophomore in Bachelor of Technology undergraduate degree. I am studying Information Technology and love to read science fiction.
Q: How did you hear about this program?
I heard about this program in a session organised by the university coding club.
Q: Will you have any other time commitments, such as school work, another job, a planned vacation, etc, during the duration of the program?
No time commitments from 20 May to 20 August (i.e. duration of internship).

Contributing to this project gives me the opportunity to give back to an open source community which has been in my life forever. I am so much in love with the idea of open source and Wikimedia Foundation and all the good they are doing in the world. For students in developing nations, education doesn't come easy as it might seem, even if they study, the difference between the level of knowledge they should have and what they are taught is huge. Wikimedia is bridging the gap between them. By contributing to the Wikimedia Foundation, even if it is a small contribution, I feel like I am giving back to the global community.
Well written documentation is equally as important as an exciting feature because an exciting feature might not be as exciting if the user is confused about it. Well written documentation allows a user to utilise all the functionalities of a feature and it saves a ton of time of the user.

Courses completed and related work done

I have completed the following courses on Coursera.
2018-06
Programming for Everybody (Getting Started with Python).

License GDHFU9JPBTN6 University Of Michigan via Coursera
https://www.coursera.org/account/accomplishments/certificate/GDHFU9JPBTN6

2018-07
Python Data Structures.

License Q8JMAYNGQZU8 University Of Michigan via Coursera
https://www.coursera.org/account/accomplishments/certificate/Q8JMAYNGQZU8

2018-10
Using Python to Access Web Data.

License YZ3NWHERHEJN University Of Michigan via Coursera
https://www.coursera.org/account/accomplishments/certificate/YZ3NWHERHEJN

2018-12
Using Databases with Python.

License number 72K9ULKETZXB University Of Michigan via Coursera
https://www.coursera.org/account/accomplishments/certificate/72K9ULKETZXB

All these courses contain numerous coding assignment and quiz, which helped me in improving my coding skills in python which is essential for this project.
My programs for the assignments. GitHub.

I have completed the following courses on Udemy.
2018-07
Python and Django Full Stack Web Developer Bootcamp

I took this Udemy course for full stack web development using Python and Django.

  • I have experience in web development using Django and python.
  • I have contributed to our university coding club and online newsletter.

Past Experience

Microtasks: T215682

Other contributions to Wikimedia Foundation

Link to my Gerrit patches.

Created a documentation page about Thanks: T181502
Contribution #1: started March 16, 2019. Merged
https://www.mediawiki.org/wiki/Help:Notifications/Thanks
Created a dedicated page under Help:Notifications on mediawiki.org to:

  • introduce the feature
  • explain how it works
  • detail cases where it will not work
  • add any relevant information about it.

Contents

  1. Why this feature?
  2. What the feature is
  3. How the feature works 3.1. Sending "thanks" 3.2. Receiving "thanks"
  4. Limitations
  5. What the feature is not
  6. How do I see the thanks I've got
  7. How do I see the thanks I've given out
  8. Avoiding thanks
  9. See also

Rescue HISTORY: T213714

Various MediaWiki point release hasn't made it to HISTORY (mediawiki/core). I in these patches included the information which previously didn't make it into HISTORY.

Contribution #2: started March 20, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/497821
HISTORY: Add MediaWiki 1.11 post-release change notes

Contribution #3: started March 21, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/498010
HISTORY: Add MediaWiki 1.12 post-release change notes

Contribution #4: started March 23, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/498527
HISTORY: Add MediaWiki 1.19 post-release change notes

Contribution #5: started March 23, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/498526
HISTORY: Add MediaWiki 1.18 post-release change notes

Contribution #6: started March 25, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/498965
HISTORY: Add MediaWiki 1.23 post-release change notes

Contribution #7: started March 26, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/498979
HISTORY: Add MediaWiki 1.32 release notes

Contribution #8: started March 26, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/499174
HISTORY: Add MediaWiki 1.13 release notes

Contribution #9: started March 26, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/499177
HISTORY: Add MediaWiki 1.10 release notes

Contribution #10: started March 26, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/499184
HISTORY: Add MediaWiki 1.9 release notes

Contribution #11: started March 27, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/499467
HISTORY: Add MediaWiki 1.7 release notes

Contribution #12: started March 28, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/499568
HISTORY: Add MediaWiki 1.4 release notes

Contribution #13: started March 28, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/499549
HISTORY: Add MediaWiki 1.6 release notes

Contribution #14: started March 28, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/499458
HISTORY: Add MediaWiki 1.8 release notes

Contribution #15: started March 28, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/499571
HISTORY: Add MediaWiki 1.5 release notes

Contribution #16: started March 28, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/499721
HISTORY: Add MediaWiki 1.3 release notes

Contribution #17: started March 29, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/499871
HISTORY: Add pre-MediaWiki 1.1.0 post-release change notes

Contribution #18: started March 29, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/499865
HISTORY: Add MediaWiki 1.2 release notes

Contribution #19: started March 29, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/core/+/499869
HISTORY: Add MediaWiki 1.1 release notes

Improve docstrings to the Pywikibot library: T118423
Contribution #20: started March 20, 2019, Merged
https://gerrit.wikimedia.org/r/c/pywikibot/core/+/497804
Improved docstrings of different methods using epytext fields.

Contribution #21: started March 20, 2019, Merged
https://gerrit.wikimedia.org/r/c/pywikibot/core/+/497837

Include link(s) to the corresponding mw: API help in APISite and DataSite methods docstrings: T100521
Modified the docstring of all methods in login.py which are thin wrappers around a MediaWiki API module to include a link to the corresponding API documentation.
Contribution #22: started March 21, 2019, Merged
https://gerrit.wikimedia.org/r/c/pywikibot/core/+/498095

Update Gerrit Links: T218844
Edited the following wiki pages to update Gerrit /r/p/ links to /r/

Contribution#23: March 21,2019
https://www.mediawiki.org/wiki/Content_translation/cxserver/Setup

Contribution #24: March 21, 2019,
https://www.mediawiki.org/wiki/Parsoid/Developer_Setup

Contribution #25: March 21, 2019,
https://www.mediawiki.org/wiki/Parsoid/Setup

Contribution #26: March 21, 2019,
https://www.mediawiki.org/wiki/Migrating_from_SVN_to_Git

Contribution #27: March 21, 2019,
https://www.mediawiki.org/wiki/VisualEditor/Installation_on_a_shared_host

Contribution #28: March 21, 2019,
https://wikitech.wikimedia.org/wiki/Fundraising/tech/Installing_Drupal_and_CiviCRM

Contribution #29: March 21, 2019,
https://wikitech.wikimedia.org/wiki/Dumps/Current_Architecture

Contribution #30: March 21, 2019,
https://wikitech.wikimedia.org/wiki/Dumps/Testing

Gerrit Patch(s) to update Gerrit /r/p/ links to /r/
Contribution #31: March 21, 2019, Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/BoilerPlate/+/498163

Contribution #32: March 21, 2019, Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/BaseHooks/+/498174

Contribution #33: March 21, 2019, Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/EducationProgram/+/498183

Contribution #34: March 21, 2019, Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/examples/+/498190

Contribution #35: March 22, 2019, Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Gitweb/+/498197

Contribution #36: March 22, 2019, Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Shibboleth/+/498458

Contribution #37: March 22, 2019, Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/SemanticTasks/+/498465

Contribution #38: March 22, 2019, Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/SemanticImageInput/+/498463

Contribution #39: March 22, 2019, Merged
https://github.com/JeroenDeDauw/SubPageList/pull/48
Include copying file and license information: T123943

Contribution #40: March 22, 2019, Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/AJAXPoll/+/498325

Contribution #41: March 22, 2019, Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/NukeDPL/+/498335

TYPO FIX

Fix Typo for Wikimedia extensions : T201491
Contribution #42: started March 14, 2019,Merged March 16, 2019
https://github.com/enterprisemediawiki/WatchAnalytics/pull/103#pullrequestreview-215317165

Contribution #43: started March 13, 2019, Merged March 14, 2019
https://github.com/SemanticMediaWiki/Mermaid/pull/30

Contribution #44: started March 11, 2019, Merged March 11, 2019
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Carp/+/495694

Contribution #45: started March 10, 2019, Merged March 11, 2019
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/OpenStackManager/+/495508

Contribution #46: started March 10, 2019, Merged March 11, 2019
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/ExtJSBase/+/495505

Contribution #47: started March 10, 2019, Merged March 10, 2019
https://github.com/JeroenDeDauw/Maps/pull/539

Contribution #48: started March 10, 2019, Merged March 11, 2019
https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/BlueSpiceInsertFile/+/495501

Contribution #49: started March 10, 2019, Merged March 11, 2019
https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/ExtJSBase/+/495511

Contribution #50: started March 10, 2019, Merged March 11, 2019
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/BlueSpiceSMWConnector/+/495504

Contribution #51: started March 10, 2019, Merged March 11, 2019
https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/BlueSpiceSaferEdit/+/495498

Contribution #52: started March 10, 2019, Merged March 11, 2019
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/BlueSpicePagesVisited/+/495496

Contribution #53: started March 10, 2019, Merged March 11, 2019
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/BlueSpiceExtendedSearch/+/495500

Contribution #54: started March 10, 2019, Merged March 11, 2019
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/TinyMCE/+/495509

Contribution #55: started March 11, 2019, Merged March 11, 2019
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/HTMLets/+/495687

Contribution #56: started March 11, 2019, Merged March 11, 2019
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/cldr/+/495684

Contribution #57: started March 13, 2019, Merged March 13, 2019
https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/SubpageFun/+/496188/

Contribution #58: started March 13, 2019, Merged March 14, 2019
https://github.com/SemanticMediaWiki/SemanticMediaWiki/pull/3787

Contribution #59: started March 13, 2019, Merged March 14, 2019
https://github.com/Nikerabbit/mediawiki-extensions-Nimiarkisto/pull/7#event-2200974822

Contribution #60: started March 13, 2019, Merged March 14, 2019
https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/HashTables/+/496190/

Contribution #61: started March 13, 2019, Merged March 14, 2019
https://github.com/JeroenDeDauw/Maps/pull/540

Contribution #62: started March 14, 2019, Merged March 14, 2019
https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/BlueSpiceEchoConnector/+/496259/

Contribution #63: started March 13, 2019, Merged March 14, 2019
https://github.com/SemanticMediaWiki/Mermaid/pull/29

Contribution #64: started March 14, 2019, Merged March 14, 2019
https://github.com/SemanticMediaWiki/SemanticResultFormats/pull/475

Contribution #65: started March 10, 2019, Merged March 16, 2019
https://gitlab.com/Aranad/TreeAndMenu/merge_requests/2

Contribution #66: started March 14, 2019,Merged
https://github.com/enterprisemediawiki/Wiretap/pull/22

Contribution #67: started March 14, 2019, Awaiting review
https://github.com/docbook/xslt10-stylesheets/pull/136

Contribution #68: started March 14, 2019, Awaiting review
https://bitbucket.org/wikiworksdev/docbookexport/pull-requests/1/fixed-typo-seperat/diff

Link to Wikibase Registry from http://wikiba.se: T193030
I made changes in index.html to include the link to wikibase registry home page.
I added the logo of wikibase registry on http://wikiba.se

Contribution #69: started March 31, 2019, Awaiting review
https://gerrit.wikimedia.org/r/c/wikibase/wikiba.se/+/500188

Clarify ContributionTracking's license: T99643
Add COPYING file and include license-name in extension.json fo extension ContributionTracking

Contribution #70: started April 1, 2019, Reviewed +1, waiting for other reviewers to review
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/ContributionTracking/+/500245

Empty PHP entry points where JSON entry points exist: T140007

Contribution #71: started March 31, 2019. Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Blackout/+/500216

Contribution #72: started March 31, 2019. Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Arrays/+/500214

Contribution #73: started March 31, 2019. Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/ArticleIndex/+/500215

Contribution #74: started March 31, 2019. Not accepted or merged.
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/ApprovedRevs/+/500213

Contribution #75: started March 31, 2019. Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/AnchorHandler/+/500212

Contribution #76: started March 31, 2019. Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/AllTimeZones/+/500211

Contribution #77: started March 31, 2019. Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/AkismetKlik/+/500210

Contribution #78: started March 31, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/AdManager/+/500209

Contribution #79: started March 31, 2019. Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/AddThis/+/500208

Contribution #80: started March 31, 2019. Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/AddMessages/+/500207

Contribution #81: started March 31, 2019. Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/BlockAndNuke/+/500217

Contribution #82: started March 31, 2019. Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/BreadCrumbs/+/500218

Contribution #83: started March 31, 2019. Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/BreadCrumbs2/+/500219

Contribution #84: started March 31, 2019. Not accepted or merged.
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Cargo/+/500220

Contribution #85: started March 31, 2019. Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/CleanChanges/+/500221

Contribution #86: started March 31, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/CloseWikis/+/500222

Contribution #87: started April 6, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Editcount/+/501682

Contribution #88: started April 6, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/EditNotify/+/501680

Contribution #89: started April 6, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/BiblioPlus/+/501671

Contribution #90: started April 6, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Checkpoint/+/501691

Contribution #91: started April 6, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/DeleteBatch/+/501684

Contribution #92: started April 6, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/BaseHooks/+/501668

Contribution #93: started April 6, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/BibManager/+/501672

Contribution #94: started April 6, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/AutoProxyBlock/+/501664

Contribution #95: started April 6, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/BatchUserRights/+/501670

Contribution #96: started April 6, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Description2/+/501683

Contribution #97: started April 6, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/EditUser/+/501679

Contribution #98: started April 6, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/DebugTemplates/+/501690

Convert HTTP links to MediaWiki.org to HTTPS: T189687

Contribution #99: started April 7, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/HashTables/+/501942

Contribution #100: started April 7, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/ParserFun/+/501941

Contribution #101: started April 7, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/DPLforum/+/501946

Contribution #102: started April 7, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/FlvHandler/+/501943

Contribution #103: started April 7, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/BibManager/+/501945

Contribution #104: started April 7, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/EmailDiff/+/501944

Contribution #105: started April 7, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Survey/+/501947

Contribution #106: started April 7, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Spark/+/501948

Contribution #107: started April 7, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/PictureGame/+/501950

Contribution #108: started April 7, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/RegexFun/+/501951

Contribution #109: started April 7, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/RT/+/501952

Contribution #110: started April 7, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/SelectCategory/+/501954

Contribution #111: started April 7, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/SelectTag/+/501955

Contribution #112: started April 7, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/SearchStats/+/501953

Contribution #113: started April 7, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/SmoothGallery/+/501957

Contribution #114: started April 7, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/TitleKey/+/501958

ContentTranslation callouts need to be aligned with dialog look: T192316

Contribution #115: started April 7, 2019.Merged
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/ContentTranslation/+/501990
ContentTranslation callouts feature several unique unnecessary attributes, that need to be reconsidered/adapted to standard UI patterns. To do this, I replaced the wrong close icon with the correct close icon from OOUI_icons.

Correct the padding for GuidedTour: T176457

Contribution #116: started April 7, 2019. Awaiting Review
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/GuidedTour/+/501963
GuidedTour dialog currently features internal padding of 40px, which seems disconnected with other dialogs and whitespace settings in skin Vector. In this patch, I set the padding in so as to correct this by adding a new less file for Vector. So that the new style will be loaded only when Vector is used.

Overlapping of bullets in Advanced Search menu: T205177

Contribution #117: started April 2, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/skins/Bouquet/+/500556
In skins/Bouquet, added a new less file for AdvancedSearch and then added this new file to the existing ResourceModuleSkinStyles definition in skin.json. So that the new CSS will be loaded only when AdvancedSearch is installed instead of on all pages.

Contribution #118: started April 2, 2019. Merged.
https://gerrit.wikimedia.org/r/c/mediawiki/skins/Bouquet/+/500804
Follow up patch
In skins/Bouquet, moved special.preferences.styles.css from resources/ to resources/skinStyles/
Modify skin.json to add the new path for special.preferences.styles.css.

Decrease font-weight for better readability: T155264
Contribution #119: started April 8, 2019. Awaiting Review.
https://gerrit.wikimedia.org/r/c/mediawiki/extensions/SocialProfile/+/502215
Change font-weight from 800 to 700 for consistency with other modules and
better readability.
Change font-weight from Bold to 700, which is numerical, for
consistency.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Nikitrain updated the task description. (Show Details)Mar 20 2019, 1:14 PM
Nikitrain updated the task description. (Show Details)Mar 20 2019, 1:18 PM
Nikitrain updated the task description. (Show Details)Mar 20 2019, 4:39 PM
Nikitrain updated the task description. (Show Details)Mar 20 2019, 6:27 PM
Nikitrain updated the task description. (Show Details)Mar 20 2019, 6:35 PM
Nikitrain updated the task description. (Show Details)Mar 20 2019, 7:03 PM
Nikitrain updated the task description. (Show Details)Mar 20 2019, 7:38 PM
Nikitrain updated the task description. (Show Details)
Nikitrain updated the task description. (Show Details)Mar 20 2019, 7:42 PM
Nikitrain updated the task description. (Show Details)Mar 20 2019, 7:45 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 7:16 AM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 8:02 AM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 10:36 AM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 1:09 PM
Nikitrain updated the task description. (Show Details)
Nikitrain updated the task description. (Show Details)Mar 21 2019, 1:13 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 1:55 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 2:10 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 2:36 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 2:41 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 2:49 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 2:51 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 2:55 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 3:03 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 3:09 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 3:14 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 4:26 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 5:00 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 5:09 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 5:15 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 5:33 PM
Nikitrain updated the task description. (Show Details)
Nikitrain updated the task description. (Show Details)Mar 21 2019, 6:14 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 6:19 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 6:24 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 6:33 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 6:51 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 7:12 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 7:20 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 7:50 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 7:54 PM
Nikitrain updated the task description. (Show Details)Mar 21 2019, 9:02 PM
Nikitrain updated the task description. (Show Details)Mar 22 2019, 5:04 AM
Nikitrain updated the task description. (Show Details)Mar 22 2019, 6:19 AM
Nikitrain updated the task description. (Show Details)Mar 22 2019, 7:23 AM
Nikitrain updated the task description. (Show Details)Mar 22 2019, 11:22 AM
Nikitrain updated the task description. (Show Details)Mar 23 2019, 5:35 PM
Nikitrain updated the task description. (Show Details)Mar 23 2019, 5:42 PM
Nikitrain updated the task description. (Show Details)Mar 23 2019, 7:25 PM
Nikitrain updated the task description. (Show Details)Mar 23 2019, 8:10 PM
Nikitrain updated the task description. (Show Details)Mar 24 2019, 10:57 AM
Nikitrain updated the task description. (Show Details)Mar 25 2019, 12:06 AM
Nikitrain updated the task description. (Show Details)Mar 25 2019, 7:33 PM
Nikitrain updated the task description. (Show Details)Mar 26 2019, 3:42 AM
Nikitrain updated the task description. (Show Details)Mar 26 2019, 1:53 PM

@srishakatux Thank You so much! for your detailed review :) I have made all the changes asked by you and included some more contribution's information. I have submitted the application on outreachy website and has moved my proposal to proposal submitted workboard.
query, Do I need to record more contributions here or outreachy website for the duration between today and announcement of interns.

Nikitrain updated the task description. (Show Details)Mar 26 2019, 4:53 PM
Nikitrain updated the task description. (Show Details)Mar 26 2019, 5:46 PM
Nikitrain updated the task description. (Show Details)Mar 29 2019, 4:52 AM
Nikitrain updated the task description. (Show Details)
Nikitrain updated the task description. (Show Details)Apr 1 2019, 5:01 PM
Nikitrain updated the task description. (Show Details)
Nikitrain updated the task description. (Show Details)Apr 1 2019, 5:13 PM
Nikitrain updated the task description. (Show Details)Apr 2 2019, 6:52 PM
Nikitrain updated the task description. (Show Details)
Nikitrain updated the task description. (Show Details)Apr 4 2019, 6:50 AM
Nikitrain updated the task description. (Show Details)Apr 5 2019, 5:06 AM
Nikitrain updated the task description. (Show Details)Apr 5 2019, 6:42 PM
Nikitrain updated the task description. (Show Details)Apr 7 2019, 7:08 AM
Nikitrain updated the task description. (Show Details)Apr 7 2019, 7:34 AM
Nikitrain updated the task description. (Show Details)Apr 7 2019, 7:41 AM
Nikitrain updated the task description. (Show Details)Apr 7 2019, 7:46 AM
Nikitrain updated the task description. (Show Details)
Nikitrain updated the task description. (Show Details)
Nikitrain updated the task description. (Show Details)Apr 7 2019, 8:14 AM
Nikitrain updated the task description. (Show Details)Apr 7 2019, 8:22 AM
Nikitrain updated the task description. (Show Details)Apr 8 2019, 1:53 PM
Nikitrain updated the task description. (Show Details)Apr 9 2019, 3:27 AM
Nikitrain updated the task description. (Show Details)
Nikitrain updated the task description. (Show Details)Apr 9 2019, 3:31 AM
Nikitrain updated the task description. (Show Details)Fri, May 3, 5:31 PM

(look for next steps in the email that you'll receive shortly with an option to request for a debrief on why your proposal was not accepted)

srishakatux closed this task as Declined.Tue, May 7, 1:11 AM